# Generated by Django 4.0.4 on 2022-04-26 18:18

import django.db.models.deletion
from django.db import migrations, models

import purchase.models


class Migration(migrations.Migration):
    dependencies = [
        ("purchase", "0004_remove_basket_status"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="basket",
            options={"verbose_name": "basket", "verbose_name_plural": "baskets"},
        ),
        migrations.AlterModelOptions(
            name="basketitem",
            options={
                "verbose_name": "basket item",
                "verbose_name_plural": "basket items",
            },
        ),
        migrations.AlterModelOptions(
            name="paymentmethod",
            options={
                "verbose_name": "payment method",
                "verbose_name_plural": "payment methods",
            },
        ),
        migrations.AlterModelOptions(
            name="product",
            options={
                "ordering": ["display_order", "name"],
                "verbose_name": "product",
                "verbose_name_plural": "products",
            },
        ),
        migrations.AlterField(
            model_name="basket",
            name="created_at",
            field=models.DateTimeField(auto_now_add=True, verbose_name="created at"),
        ),
        migrations.AlterField(
            model_name="basket",
            name="payment_method",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="baskets",
                to="purchase.paymentmethod",
                verbose_name="payment method",
            ),
        ),
        migrations.AlterField(
            model_name="basket",
            name="updated_at",
            field=models.DateTimeField(auto_now=True, verbose_name="updated at"),
        ),
        migrations.AlterField(
            model_name="basketitem",
            name="basket",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="items",
                to="purchase.basket",
                verbose_name="basket",
            ),
        ),
        migrations.AlterField(
            model_name="basketitem",
            name="created_at",
            field=models.DateTimeField(auto_now_add=True, verbose_name="created at"),
        ),
        migrations.AlterField(
            model_name="basketitem",
            name="product",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="basket_items",
                to="purchase.product",
                verbose_name="product",
            ),
        ),
        migrations.AlterField(
            model_name="basketitem",
            name="quantity",
            field=models.PositiveIntegerField(verbose_name="quantity"),
        ),
        migrations.AlterField(
            model_name="basketitem",
            name="updated_at",
            field=models.DateTimeField(auto_now=True, verbose_name="updated at"),
        ),
        migrations.AlterField(
            model_name="paymentmethod",
            name="created_at",
            field=models.DateTimeField(auto_now_add=True, verbose_name="created at"),
        ),
        migrations.AlterField(
            model_name="paymentmethod",
            name="name",
            field=models.CharField(max_length=50, unique=True, verbose_name="name"),
        ),
        migrations.AlterField(
            model_name="paymentmethod",
            name="updated_at",
            field=models.DateTimeField(auto_now=True, verbose_name="updated at"),
        ),
        migrations.AlterField(
            model_name="product",
            name="created_at",
            field=models.DateTimeField(auto_now_add=True, verbose_name="created at"),
        ),
        migrations.AlterField(
            model_name="product",
            name="display_order",
            field=models.PositiveIntegerField(
                default=purchase.models.default_product_display_order,
                verbose_name="display order",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="image",
            field=models.ImageField(
                blank=True,
                null=True,
                upload_to="",
                verbose_name="image",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="name",
            field=models.CharField(max_length=250, unique=True, verbose_name="name"),
        ),
        migrations.AlterField(
            model_name="product",
            name="unit_price_cents",
            field=models.PositiveIntegerField(
                help_text="unit price in cents",
                verbose_name="unit price (cents)",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="updated_at",
            field=models.DateTimeField(auto_now=True, verbose_name="updated at"),
        ),
    ]
